--
-- Table Structure `{prefix}_{dirname}_category`
--

CREATE TABLE `{prefix}_{dirname}_category` (
  `category_id` mediumint(5) unsigned NOT NULL auto_increment,
  `cat_name` varchar(100) NOT NULL,
  `cat_description` text NOT NULL,
  `cat_maxsize` int(8) unsigned NOT NULL default '0',
  `cat_maxlength` mediumint(4) unsigned NOT NULL default '0',
  `cat_resizelength` mediumint(4) unsigned NOT NULL default '0',
  `cat_thumblength` mediumint(4) unsigned NOT NULL default '0',
  `cat_active` tinyint(1) unsigned NOT NULL default '1',
  `cat_weight` mediumint(5) unsigned NOT NULL default '0',
  `cat_pid` mediumint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`category_id`),
  KEY `cat_pid` (`cat_pid`),
  KEY `cat_active` (`cat_active`)
) TYPE = MYISAM;

-- --------------------------------------------------------

--
-- Table Structure `{prefix}_{dirname}_image`
--

CREATE TABLE `{prefix}_{dirname}_image` (
  `image_id` mediumint(8) unsigned NOT NULL auto_increment,
  `image_title` varchar(100) NOT NULL,
  `category_id` mediumint(5) unsigned NOT NULL default '0',
  `image_description` text NOT NULL,
  `image_filename` varchar(50) NOT NULL,
  `image_bodyname` varchar(50) NOT NULL,
  `image_extension` varchar(10) NOT NULL,
  `image_mimetype` varchar(30) NOT NULL default '',
  `image_width` mediumint(5) unsigned NOT NULL default '0',
  `image_height` mediumint(5) unsigned NOT NULL default '0',
  `image_thumbwidth` mediumint(5) unsigned NOT NULL default '0',
  `image_thumbheight` mediumint(5) unsigned NOT NULL default '0',
  `image_active` tinyint(1) unsigned NOT NULL default '1',
  `image_weight` mediumint(5) unsigned NOT NULL default '0',
  `dohtml` tinyint(1) unsigned NOT NULL default '0',
  `doxcode` tinyint(1) unsigned NOT NULL default '1',
  `doimage` tinyint(1) unsigned NOT NULL default '0',
  `dobr` tinyint(1) unsigned NOT NULL default '1',
  `image_uid` mediumint(8) unsigned NOT NULL default '0',
  `image_created` int(10) unsigned NOT NULL default '0',
  `image_modified` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`image_id`),
  KEY `image_active` (`image_active`),
  KEY `image_category` (`category_id`)
) TYPE = MYISAM;